The Reflection class

- « Extending

- Reflection::export »

- PHP Manual
- Reflection
- The Reflection class

# The Reflection class

(PHP 5, PHP 7, PHP 8)

## Introduction

The reflection class.

## Class synopsis

class Reflection {
/* Methods */
public static export(Reflector `$reflector`, bool `$return` = `false`): string
public static getModifierNames(int `$modifiers`): array
}

## Table of Contents

- Reflection::export — Exports
- Reflection::getModifierNames — Gets modifier names